div.copyright, caption.copyright
{
  color: Gray;
  font-family: Arial, Verdana, Sans-Serif;
  font-size: 12px;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  margin-bottom: 0.0pt;
  margin-left: 0pt;
  margin-right: 0pt;
  margin-top: 12.0pt;
  text-align: Left;
  text-indent: 0pt;
  text-transform: none;
  vertical-align: baseline;
}

div.date, caption.date
{
  color: Gray;
  font-family: Arial, Verdana, Sans-Serif;
  font-size: smaller;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  left: 0pt;
  margin-bottom: 0.0pt;
  margin-left: 0pt;
  margin-right: 0pt;
  margin-top: 12pt;
  padding-left: 0pt;
  text-align: left;
  text-indent: 0pt;
  text-transform: none;
  vertical-align: baseline;
}

div.FileNameLOM, caption.FileNameLOM
{
  color: #39599C;
  font-family: Arial, Verdana, Sans-Serif;
  font-size: 12px;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  margin-bottom: 0.0pt;
  margin-left: 0pt;
  margin-right: 0pt;
  margin-top: 0.0pt;
  text-align: Left;
  text-indent: 0pt;
  text-transform: none;
  vertical-align: baseline;
}

div.graphic, caption.graphic
{
  color: #000000;
  font-family: Arial, Verdana, Sans-Serif;
  font-size: 12px;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  margin-bottom: 0.0pt;
  margin-left: 0pt;
  margin-right: 0pt;
  margin-top: 0.0pt;
  text-align: Left;
  text-indent: 0pt;
  text-transform: none;
  vertical-align: baseline;
}

div.itemnumber, caption.itemnumber
{
  color: Gray;
  font-family: Arial, Verdana, Sans-Serif;
  font-size: smaller;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  margin-bottom: 0.0pt;
  margin-left: 0pt;
  margin-right: 0pt;
  margin-top: 0.0pt;
  text-align: Right;
  text-indent: 0pt;
  text-transform: none;
  vertical-align: baseline;
}

div.subtitle, caption.subtitle
{
  color: #000000;
  font-family: Arial, Verdana, Sans-Serif;
  font-size: larger;
  font-style: normal;
  font-variant: normal;
  font-weight: bold;
  margin-bottom: 31.0pt;
  margin-left: 0pt;
  margin-right: 0pt;
  margin-top: 0.0pt;
  text-align: Right;
  text-indent: 0pt;
  text-transform: none;
  vertical-align: baseline;
}

div.suite, caption.suite
{
  color: #003366;
  font-family: Arial, Verdana, Sans-Serif;
  font-size: larger;
  font-style: normal;
  font-variant: normal;
  font-weight: bold;
  margin-bottom: 0.0pt;
  margin-left: 0pt;
  margin-right: 0pt;
  margin-top: 0.0pt;
  text-align: Right;
  text-indent: 0pt;
  text-transform: none;
  vertical-align: baseline;
}

div.title, caption.title
{
  color: #000000;
  font-family: Arial, Verdana, Sans-Serif;
  font-size: larger;
  font-style: normal;
  font-variant: normal;
  font-weight: bold;
  margin-bottom: 0.0pt;
  margin-left: 0pt;
  margin-right: 0pt;
  margin-top: 29.0pt;
  text-align: Right;
  text-indent: 0pt;
  text-transform: none;
  vertical-align: baseline;
}

div.title-text, caption.title-text
{
  color: #000000;
  font-family: Arial, Verdana, Sans-Serif;
  font-size: 12px;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  margin-bottom: 0.0pt;
  margin-left: 0pt;
  margin-right: 0pt;
  margin-top: 12.0pt;
  text-align: Left;
  text-indent: 0pt;
  text-transform: none;
  vertical-align: baseline;
}

div.titleTOC, caption.titleTOC
{
  color: #000000;
  font-family: Arial, Verdana, Sans-Serif;
  font-size: 12px;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  margin-bottom: 0.0pt;
  margin-left: 0pt;
  margin-right: 0pt;
  margin-top: 0.0pt;
  text-align: Right;
  text-indent: 0pt;
  text-transform: none;
  vertical-align: baseline;
}

div.TopicAliasLOM, caption.TopicAliasLOM
{
  color: #39599C;
  font-family: Arial, Verdana, Sans-Serif;
  font-size: 12px;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  margin-bottom: 0.0pt;
  margin-left: 0pt;
  margin-right: 0pt;
  margin-top: 0.0pt;
  text-align: Left;
  text-indent: 0pt;
  text-transform: none;
  vertical-align: baseline;
}

div.version, caption.version
{
  color: Gray;
  font-family: Arial, Verdana, Sans-Serif;
  font-size: smaller;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  margin-bottom: 0.0pt;
  margin-left: 0pt;
  margin-right: 0pt;
  margin-top: 0.0pt;
  text-align: Right;
  text-indent: 0pt;
  text-transform: none;
  vertical-align: baseline;
}

span.allcaps7_5
{
  color: #000000;
  font-family: "Times New Roman";
  font-size: 7.5pt;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  text-transform: none;
  vertical-align: baseline;
}

span.allcaps8_5
{
  color: #000000;
  font-family: "Times New Roman";
  font-size: 8.5pt;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  text-transform: none;
  vertical-align: baseline;
}

span.bold
{
  font-weight: bold;
}

span.dingbat
{
  color: #1691ff;
  font-family: "ZapfDingbats BT";
  font-size: 9.0pt;
  font-style: normal;
  font-weight: normal;
  vertical-align: baseline;
}

span.Emphasis
{
  font-style: normal;
  font-weight: bold;
}

span.fig
{
  color: #003366;
  font-family: Arial;
  font-size: 8.0pt;
  font-style: normal;
  font-variant: normal;
  font-weight: bold;
  text-transform: none;
  vertical-align: baseline;
}

span.monofont
{
  font-family: "Courier New";
  font-variant: normal;
  text-transform: none;
  vertical-align: baseline;
}

span.monofont10
{
  font-family: "Courier New";
  font-size: 10.0pt;
  font-variant: normal;
  text-transform: none;
  vertical-align: baseline;
}

span.pagenumber
{
  color: #1691ff;
  font-family: Arial;
  font-size: 11.0pt;
  font-style: normal;
  font-variant: normal;
  font-weight: bold;
  text-transform: none;
  vertical-align: baseline;
}

span.run-in
{
  color: #000000;
  font-family: Arial;
  font-size: 10.0pt;
  font-style: normal;
  font-variant: normal;
  font-weight: bold;
  margin-left: 0pt;
  text-transform: none;
  vertical-align: baseline;
}

span.run-in_red
{
  color: #ff0000;
  font-family: Arial;
  font-size: 10.0pt;
  font-style: italic;
  font-variant: normal;
  font-weight: bold;
  text-transform: none;
  vertical-align: baseline;
}

span.smallbullet
{
  color: #1691ff;
  font-family: Arial;
  font-size: 7.0pt;
  font-style: normal;
  font-variant: normal;
  font-weight: bold;
  text-transform: none;
  vertical-align: baseline;
}

span.stepnumber
{
  color: #003366;
  font-family: Arial;
  font-size: 10.0pt;
  font-style: normal;
  font-variant: normal;
  font-weight: bold;
  text-transform: none;
  vertical-align: baseline;
}

span.strikethrough
{
  font-variant: normal;
  text-decoration: line-through;
  text-transform: none;
  vertical-align: baseline;
}

span.superscript
{
  font-variant: normal;
  text-transform: none;
  vertical-align: super;
}

span.unittoc
{
  color: #000000;
  font-family: "Times New Roman";
  font-size: 11.0pt;
  font-style: normal;
  font-variant: normal;
  font-weight: bold;
  text-transform: none;
  vertical-align: baseline;
}

span.urllink
{
  color: #1691ff;
  font-variant: normal;
  text-transform: none;
  vertical-align: baseline;
}

span.variable
{
  color: #000000;
  font-family: "Courier New";
  font-style: italic;
  font-variant: normal;
  font-weight: normal;
  text-transform: none;
  vertical-align: baseline;
}

span.variable10
{
  color: #000000;
  font-family: "Courier New";
  font-size: 10.0pt;
  font-style: italic;
  font-variant: normal;
  font-weight: normal;
  text-transform: none;
  vertical-align: baseline;
}

span.N_007bBlue_007d
{
  color: #003366;
  font-weight: bold;
}

span.N_007bBlue_007d
{
  color: #003366;
  font-weight: bold;
}

span.N_007bBlue_007d
{
  color: #003366;
  font-weight: bold;
}

table.indent
{
  border-bottom-color: Black;
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-collapse: collapse;
  border-left-color: Black;
  border-left-style: solid;
  border-left-width: 1px;
  border-right-color: Black;
  border-right-style: solid;
  border-right-width: 1px;
  border-top-color: Black;
  border-top-style: solid;
  border-top-width: 1px;
  empty-cells: show;
  margin-bottom: 11.0pt;
  margin-left: 18pt;
  margin-right: 0pt;
  margin-top: 0.0pt;
  padding-bottom: 3pt;
  padding-left: 3pt;
  padding-right: 3pt;
  padding-top: 3pt;
  text-align: left;
}

table.left
{
  border-bottom-color: Black;
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-collapse: collapse;
  border-left-color: Black;
  border-left-style: solid;
  border-left-width: 1px;
  border-right-color: Black;
  border-right-style: solid;
  border-right-width: 1px;
  border-top-color: Black;
  border-top-style: solid;
  border-top-width: 1px;
  empty-cells: show;
  margin-bottom: 11.0pt;
  margin-left: 0pt;
  margin-right: 0pt;
  margin-top: 0.0pt;
  padding-bottom: 3pt;
  padding-left: 3pt;
  padding-right: 3pt;
  padding-top: 3pt;
  text-align: left;
}

table.megarule
{
  border-bottom-color: Black;
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-collapse: collapse;
  border-left-color: Black;
  border-left-style: solid;
  border-left-width: 1px;
  border-right-color: Black;
  border-right-style: solid;
  border-right-width: 1px;
  border-top-color: Black;
  border-top-style: solid;
  border-top-width: 1px;
  empty-cells: show;
  margin-bottom: 11.0pt;
  margin-left: 0pt;
  margin-right: 0pt;
  margin-top: 0.0pt;
  padding-bottom: 3pt;
  padding-left: 3pt;
  padding-right: 3pt;
  padding-top: 3pt;
  text-align: left;
}

table.prompt
{
  border-bottom-color: Black;
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-collapse: collapse;
  border-left-color: Black;
  border-left-style: solid;
  border-left-width: 1px;
  border-right-color: Black;
  border-right-style: solid;
  border-right-width: 1px;
  border-top-color: Black;
  border-top-style: solid;
  border-top-width: 1px;
  empty-cells: show;
  margin-bottom: 11.0pt;
  margin-left: 18pt;
  margin-right: 0pt;
  margin-top: 0.0pt;
  padding-bottom: 3pt;
  padding-left: 3pt;
  padding-right: 3pt;
  padding-top: 3pt;
  text-align: left;
}

img.Default
{
  display: inline;
  float: none;
}

